/***************************************************************************
 *            messagewindow.h
 *
 *  Thu Jul  7 04:13:36 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

#ifndef _MESSAGEWINDOW_H
#define _MESSAGEWINDOW_H

#include "icons.h"
#include "utilities.h"
#include "imuserdaemon.h"
#include "imownerdaemon.h"
#include "settings.h"
#include "basicwindow.h"
#include "gettext.h"

class SimpleMessageWindow: public BasicWindow
{
	public:
		SimpleMessageWindow(UserEventType type, gchar* _commentText, gchar* _topicText);
		~SimpleMessageWindow();
		
	protected:
		GtkWidget	*comment;	
	
		gchar		*commentText,
					*topicText;	
	
		gboolean	hasText;
	
		GtkWidget	*createWindowContent();
		void		destroyWindowContent();
	
		GtkWidget	*createButtonbar();
	
		gboolean	eventCallback(gint command, gint lastResult, gpointer info);

		// callbacks
		static void	cb_addToListButtonClicked(GtkWidget *button, SimpleMessageWindow *self);
		static void cb_infoButtonClicked(SimpleMessageWindow *self);
		static void cb_historyButtonClicked(SimpleMessageWindow *self);
};

#endif /* _MESSAGEWINDOW_H */
