/***************************************************************************
 *            selectuser.h
 *
 *  Thu Mar 23 01:20:15 2006
 *  Copyright  2006  User
 *  Email
 ****************************************************************************/

#ifndef _SELECTUSER_H
#define _SELECTUSER_H

#include <gtk/gtk.h>
#include "basicwindow.h"
#include "contactlist.h"
#include "imownerdaemon.h"
#include "usertooltips.h"

class SelectUserWindow: public BasicWindow, public IMSignalSource
{
	public:
		SelectUserWindow(gchar* text, gboolean multiple);
		~SelectUserWindow();
	
		IMContactList	*contacts;
	
	private:
		gchar		*introText;
		gboolean	multipleSelection;
		GtkWidget	*okayButton;
	
		UserTooltips	*tooltips;
	
		GtkWidget	*createWindowContent();
		void		destroyWindowContent();
	
		GtkWidget	*createButtonbar();
	
	// callbacks
	static void cb_selectionChanged(SelectUserWindow* self);
	static IMUserDaemon* cb_tooltipFunction(GtkWidget* w, GdkEventMotion* event, SelectUserWindow* self);

	static void cb_okayButtonClicked(SelectUserWindow* self);
};


#endif /* _SELECTUSER_H */
